Usar vModApache con Xampp o Appsrv


([N4] ofsantana) #1

Hola Todos.
Mi pregunta es la siguiente, cuando uso el .so para vModApache en un servidor Apache instalado directamente con el instalador de Apache (estoy hablando de entornos Windows) y luego hago la modificación en el htppd.conf para definir el módulo y el redireccionamiento, todo funciona muy bien.

Ahora, cuando intento hacer lo mismo en un servidor apache, pero que ha sido instalado usando el XAMPP o el APPSRV, entonces luego de la edición del httpd.conf, el servidor no vuelve a levantar. Si se comentarean las líneas de la declaración del módulo o de la redirección entonces sí funciona de nuevo.

Alguien le ha pasado esto? sabe cuál es la respuesta? Lo que pasa es que la mayoría de las veces se usan aplicaciones como el XAMPP por que tienen todo, apache, mysql y php, y es muy difícil encontrar que se instale sólo del Apache.

Ya sé que en un servidor en donde se instaló el apache sin XAMPP funcina muy bien, pero creo que sería de utilidad saber qué hace falta para que funcione en el entorno XAMP, APPSRV


([N1] Mario) #2

Buenos días, el problema es que esa versión de XAMPP o APPSRV te instalará una versión de Apache no compatible con vModApache. Ha de ser la versión 2.2 de Apache para que te funcione de forma correcta.

Saludos